Skip to main content
Get ZKS instance by name
Authentication · API availability · Download OpenAPI

Authorizations

Authorization
string
header
required

Bearer token for the ZedCloud gateway user session

Headers

X-Request-Id
string

User-Agent specified id to track a request

Path Parameters

zksName
string
required

Name of the ZKS instance. This field is required and must be a valid ZKS instance name.

Response

Successfully retrieved ZKS instance information

ZKS Instance details

projectId
string
required

Foreign key to the project

Pattern: [0-9A-Za-z-]+
name
string
required

User defined name of the zks instance, unique across the enterprise. Once zks instance is created, name can’t be changed

nodes
ZKS Instance node detail · object[]
required

A list of nodes in the zks instance

id
string
read-only

System defined universally unique Id of the zks instance

Pattern: [0-9A-Za-z-]+
title
string

User defined title of the zks instance. Title can be changed at any time

description
string

Detailed description of the zks instance

tags
object

Tags are name/value pairs that enable you to categorize resources. Tag names are case insensitive with max_length 512 and min_length 3. Tag values are case sensitive with max_length 256 and min_length 3.

isImported
boolean

Indicates if the ZKS instance is imported from an external source

clusterPrefix
string

Cluster prefix for the ZKS instance